import fs from 'fs/promises';
export default class FileCertFetcher {
    async readCertificate(opts) {
        const cert = await fs.readFile(opts.certPath)
            .catch(() => {
            throw Error(`Cert file '${opts.certPath}' does not exist or is not accessible`);
        });
        const key = await fs.readFile(opts.keyPath)
            .catch(() => {
            throw Error(`Key file '${opts.keyPath}' does not exist or is not accessible`);
        });
        return {
            cert,
            key,
        };
    }
}
