import Endpoint from '../core/endpoint.js';
class College extends Endpoint {
    async search(opt) {
        const params = Endpoint.makeQueryStringObject({
            campus_short_name: opt.campusShortName || '',
            future_terms: opt.futureTerms || 0,
            quarter: opt.quarter || '',
            year: opt.year || '',
        });
        const query = new URLSearchParams(params);
        return this.service.get(`college.json?${query}`)
            .then((result) => {
            if (Endpoint.isApiError(result.data)) {
                throw new Error(result.data.description);
            }
            const { Colleges: data } = result.data;
            return data;
        });
    }
}
export default College;
