import Endpoint from '../core/endpoint.js';
import { ICourseResponse } from '../entities/ICourseResponse.js';
import { IFullCourseResponse } from '../entities/IFullCouseResponse.js';
export interface ICourseGetOptions {
    year: number | string;
    quarter: string;
    curriculumAbbreviation: string;
    courseNumber: number | string;
}
export interface ICourseSearchOptions {
    year?: number | string;
    quarter?: string;
    curriculumAbbreviation?: string;
    courseNumber?: number | string;
    startsWith?: string;
    contains?: string;
    excludeCoursesWithoutSections?: boolean;
    futureTerms?: number | string;
    pageSize?: number | string;
    pageStart?: number | string;
    changedSinceDate?: string;
    transcriptableCourse?: 'yes' | 'no' | 'all';
}
declare class Course extends Endpoint {
    get(opt: ICourseGetOptions): Promise<IFullCourseResponse>;
    search(opt: ICourseSearchOptions): Promise<ICourseResponse>;
}
export default Course;
//# sourceMappingURL=course.d.ts.map