import Endpoint from '../core/endpoint.js';
class Curriculum extends Endpoint {
    async search(opt) {
        const params = Endpoint.makeQueryStringObject({
            college_abbreviation: opt.collegeAbbreviation || '',
            department_abbreviation: opt.departmentAbbreviation || '',
            future_terms: opt.futureTerms || 0,
            quarter: opt.quarter || '',
            year: opt.year || '',
        });
        const query = new URLSearchParams(params);
        const result = await this.service.get(`curriculum.json?${query}`);
        if (Endpoint.isApiError(result.data)) {
            throw new Error(result.data.description);
        }
        return result.data;
    }
}
export default Curriculum;
