import Endpoint from '../core/endpoint.js';
class Department extends Endpoint {
    search(opt) {
        const params = Endpoint.makeQueryStringObject({
            college_abbreviation: opt.collegeAbbreviation || '',
            future_terms: opt.futureTerms || 0,
            quarter: opt.quarter || '',
            sort_by: opt.sortBy || '',
            year: opt.year || '',
        });
        const query = new URLSearchParams(params);
        return this.service.get(`department.json?${query}`)
            .then((result) => {
            if (Endpoint.isApiError(result.data)) {
                throw new Error(result.data.description);
            }
            const { Departments: data } = result.data;
            return data;
        });
    }
}
export default Department;
