import Endpoint from '../core/endpoint.js';
class Enrollment extends Endpoint {
    async getRegistrations(opt) {
        const verbose = opt.verbose || '';
        const query = `${opt.year},${opt.quarter},${opt.regId}`;
        const result = await this.service.get(`enrollment/${query}.json?verbose=${verbose}`);
        if (Endpoint.isApiError(result.data)) {
            throw new Error(result.data.description);
        }
        return result.data;
    }
    async getEnrolledTerms(opt) {
        const params = Endpoint.makeQueryStringObject({
            changed_since_date: opt.changedSinceDate || '',
            reg_id: opt.regId || '',
            transcriptable_course: opt.transcriptableCourse || '',
            verbose: opt.verbose || '',
        });
        const query = new URLSearchParams(params);
        const result = await this.service.get(`enrollment.json?${query}`);
        if (Endpoint.isApiError(result.data)) {
            throw new Error(result.data.description);
        }
        return result.data;
    }
}
export default Enrollment;
