import Endpoint from '../core/endpoint.js';
class Major extends Endpoint {
    async search(opt) {
        const params = Endpoint.makeQueryStringObject({
            campus: opt.campus || '',
            degree_level: opt.degreeLevel || '',
            degree_type: opt.degreeType || '',
            major_abbreviation: opt.majorAbbreviation || '',
            page_size: opt.pageSize || '',
            page_start: opt.pageStart || '',
            pathway: opt.pathway || '',
            quarter: opt.quarter || '',
            year: opt.year || '',
        });
        const query = new URLSearchParams(params);
        const result = await this.service.get(`majorstudents.json?${query}`);
        if (Endpoint.isApiError(result.data)) {
            throw new Error(result.data.description);
        }
        return result.data;
    }
}
export default Major;
