import Endpoint from '../core/endpoint.js';
class Person extends Endpoint {
    async get(regId) {
        const result = await this.service.get(`person/${regId}.json`);
        if (Endpoint.isApiError(result.data)) {
            throw new Error(result.data.description);
        }
        return result.data;
    }
    async search(opt) {
        const params = Endpoint.makeQueryStringObject({
            employee_id: opt.employeeId || '',
            net_id: opt.netId || '',
            reg_id: opt.regId || '',
            student_number: opt.studentNumber || '',
            student_system_key: opt.studentSystemKey || '',
        });
        const query = new URLSearchParams(params);
        const result = await this.service.get(`person.json?${query}`);
        if (Endpoint.isApiError(result.data)) {
            throw new Error(result.data.description);
        }
        return result.data;
    }
}
export default Person;
