import Endpoint from '../core/endpoint.js';
class Registration extends Endpoint {
    async search(opt) {
        const params = Endpoint.makeQueryStringObject({
            changed_since_date: opt.changedSinceDate || '',
            course_number: opt.course || '',
            curriculum_abbreviation: opt.curriculumAbbreviation || '',
            instructor_reg_id: opt.instructorRegId || '',
            is_active: opt.isActive || '',
            page_size: opt.pageSize || '',
            page_start: opt.pageStart || '',
            quarter: opt.quarter || '',
            reg_id: opt.regId || '',
            section_id: opt.sectionId || '',
            transcriptable_course: opt.transcriptableCourse || '',
            verbose: 'true',
            year: opt.year || '',
        });
        const query = new URLSearchParams(params);
        const result = await this.service.get(`registration.json?${query}`);
        if (Endpoint.isApiError(result.data)) {
            throw new Error(result.data.description);
        }
        return result.data;
    }
}
export default Registration;
