import Endpoint from '../core/endpoint.js';
import { ISectionResponse } from '../entities/ISectionResponse.js';
import { ISectionSearchResponse } from '../entities/ISectionSearchResponse.js';
export interface ISectionGetOptions {
    courseNumber: string;
    curriculumAbbreviation: string;
    sectionId: string;
    quarter: string;
    year: number | string;
}
export interface ISectionSearchOptions {
    changedSinceDate?: string;
    courseNumber?: string;
    curriculumAbbreviation?: string;
    deleteFlag?: string;
    facilityCode?: string;
    futureTerms?: number | string;
    includeSecondaries?: string;
    pageSize?: number | string;
    pageStart?: number | string;
    quarter?: string;
    regId?: string;
    roomNumber?: string;
    searchBy?: string;
    sln?: number | string;
    transcriptableCourse?: boolean;
    year?: number | string;
}
declare class Section extends Endpoint {
    get(opt: ISectionGetOptions): Promise<ISectionResponse>;
    search(opt: ISectionSearchOptions): Promise<ISectionSearchResponse>;
}
export default Section;
//# sourceMappingURL=section.d.ts.map